Loading...
Searching...
No Matches
NsmSignals Class Reference

`#include <gx_main_window.h>`

## Public Member Functions

sigc::signal< void > & | signal_trigger_nsm_show_gui ()
sigc::signal< void > & | signal_trigger_nsm_hide_gui ()
sigc::signal< void > & | signal_trigger_nsm_save_gui ()
sigc::signal< void > & | signal_trigger_nsm_gui_is_shown ()
sigc::signal< void > & | signal_trigger_nsm_gui_is_hidden ()
| NsmSignals ()
| ~NsmSignals ()

## Public Attributes

bool | nsm_session_control
sigc::signal< void > | trigger_nsm_show_gui
sigc::signal< void > | trigger_nsm_hide_gui
sigc::signal< void > | trigger_nsm_save_gui
sigc::signal< void > | trigger_nsm_gui_is_shown
sigc::signal< void > | trigger_nsm_gui_is_hidden

## Detailed Description

Definition at line 608 of file gx_main_window.h.

## Constructor & Destructor Documentation

## NsmSignals()

NsmSignals::NsmSignals | ( |  | ) |

## ~NsmSignals()

NsmSignals::~NsmSignals | ( |  | ) |

inline

Definition at line 632 of file gx_main_window.h.

## Member Function Documentation

## signal_trigger_nsm_gui_is_hidden()

sigc::signal< void > & NsmSignals::signal_trigger_nsm_gui_is_hidden | ( |  | ) |

inline

Definition at line 629 of file gx_main_window.h.

## signal_trigger_nsm_gui_is_shown()

sigc::signal< void > & NsmSignals::signal_trigger_nsm_gui_is_shown | ( |  | ) |

inline

Definition at line 626 of file gx_main_window.h.

## signal_trigger_nsm_hide_gui()

sigc::signal< void > & NsmSignals::signal_trigger_nsm_hide_gui | ( |  | ) |

inline

Definition at line 619 of file gx_main_window.h.

## signal_trigger_nsm_save_gui()

sigc::signal< void > & NsmSignals::signal_trigger_nsm_save_gui | ( |  | ) |

inline

Definition at line 622 of file gx_main_window.h.

## signal_trigger_nsm_show_gui()

sigc::signal< void > & NsmSignals::signal_trigger_nsm_show_gui | ( |  | ) |

inline

Definition at line 616 of file gx_main_window.h.

## Member Data Documentation

## nsm_session_control

bool NsmSignals::nsm_session_control

Definition at line 613 of file gx_main_window.h.

## trigger_nsm_gui_is_hidden

sigc::signal<void > NsmSignals::trigger_nsm_gui_is_hidden

Definition at line 628 of file gx_main_window.h.

Referenced by signal_trigger_nsm_gui_is_hidden().

## trigger_nsm_gui_is_shown

sigc::signal<void > NsmSignals::trigger_nsm_gui_is_shown

Definition at line 625 of file gx_main_window.h.

Referenced by signal_trigger_nsm_gui_is_shown().

## trigger_nsm_hide_gui

sigc::signal<void > NsmSignals::trigger_nsm_hide_gui

Definition at line 618 of file gx_main_window.h.

Referenced by signal_trigger_nsm_hide_gui().

## trigger_nsm_save_gui

sigc::signal<void > NsmSignals::trigger_nsm_save_gui

Definition at line 621 of file gx_main_window.h.

Referenced by signal_trigger_nsm_save_gui().

## trigger_nsm_show_gui

sigc::signal<void > NsmSignals::trigger_nsm_show_gui

Definition at line 615 of file gx_main_window.h.

Referenced by signal_trigger_nsm_show_gui().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h